diff --git a/samples/js-myflows/.devcontainer/devcontainer.json b/samples/js-myflows/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/js-myflows/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/js-myflows/.devcontainer/spfx-startup.sh b/samples/js-myflows/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/js-myflows/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/js-myflows/README.md b/samples/js-myflows/README.md
index e067155d3..4da467572 100755
--- a/samples/js-myflows/README.md
+++ b/samples/js-myflows/README.md
@@ -30,6 +30,7 @@
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -74,6 +75,8 @@ Version|Date|Comments
- `gulp package-solution --ship`
- Add to AppCatalog and deploy
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Disclaimer
diff --git a/samples/react-birthdays/.devcontainer/devcontainer.json b/samples/react-birthdays/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-birthdays/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-birthdays/.devcontainer/spfx-startup.sh b/samples/react-birthdays/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-birthdays/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-birthdays/README.md b/samples/react-birthdays/README.md
index 1dc400175..c466fa167 100644
--- a/samples/react-birthdays/README.md
+++ b/samples/react-birthdays/README.md
@@ -22,6 +22,7 @@ But you can synchronize the Birthdays list with other applications HR Systems, o
![SharePoint Online](https://img.shields.io/badge/SharePoint-Online-yellow.svg)
![Teams N/A: Untested with Microsoft Teams](https://img.shields.io/badge/Teams-N%2FA-lightgrey.svg "Untested with Microsoft Teams")
![Workbench Hosted: Does not work with local workbench](https://img.shields.io/badge/Workbench-Hosted-yellow.svg "Does not work with local workbench")
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -69,6 +70,8 @@ Version|Date|Comments
- Add and Deploy Package to AppCatalog
- Go to API Management - from SharePoint Admin Center new experience, and Approve the Permission Require to Use Graph API SCOPES
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
This project contains sample Birthday web parts built on the SharePoint Framework using React
diff --git a/samples/react-faqapp/.devcontainer/devcontainer.json b/samples/react-faqapp/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-faqapp/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-faqapp/.devcontainer/spfx-startup.sh b/samples/react-faqapp/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-faqapp/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-faqapp/README.md b/samples/react-faqapp/README.md
index f544de64c..3f22a23e7 100644
--- a/samples/react-faqapp/README.md
+++ b/samples/react-faqapp/README.md
@@ -32,6 +32,7 @@ extensions:
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -64,6 +65,8 @@ Version|Date|Comments
- `npm i -g gulp`
- `gulp serve`
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
### Local Mode
A browser in local mode (localhost) will be opened.
diff --git a/samples/react-functional-component-with-data-fetch/.devcontainer/devcontainer.json b/samples/react-functional-component-with-data-fetch/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-functional-component-with-data-fetch/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-functional-component-with-data-fetch/.devcontainer/spfx-startup.sh b/samples/react-functional-component-with-data-fetch/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-functional-component-with-data-fetch/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-functional-component-with-data-fetch/README.md b/samples/react-functional-component-with-data-fetch/README.md
index aa3aa7700..82bb2ed56 100644
--- a/samples/react-functional-component-with-data-fetch/README.md
+++ b/samples/react-functional-component-with-data-fetch/README.md
@@ -16,6 +16,7 @@ This web part demonstrates building a React functional component that uses data
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -50,6 +51,8 @@ Version|Date|Comments
* Navigate to *https://mytenant.sharepoint.com/_layouts/15/workbench.aspx*
* Sign in to your account if needed
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
The purpose of this web part is to demonstrate building a React functional component that includes state and data fetched from a remote service. This is achieved using the recent React Hooks feature. The resulting code is cleaner and easier to follow than using a JavaScript/TypeScript class derived from React.Component. The example web part renders a list of the user's Teams and, if enabled, a list of the Teams channels for each Team with a link to the channel.
diff --git a/samples/react-functional-component/.devcontainer/devcontainer.json b/samples/react-functional-component/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-functional-component/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-functional-component/.devcontainer/spfx-startup.sh b/samples/react-functional-component/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-functional-component/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-functional-component/README.md b/samples/react-functional-component/README.md
index d245f3db8..bba86a5b3 100644
--- a/samples/react-functional-component/README.md
+++ b/samples/react-functional-component/README.md
@@ -16,6 +16,7 @@ This web part is intended to be easier to understand for new developers building
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -48,6 +49,8 @@ Version|Date|Comments
* `npm install`
* `gulp serve`
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
The purpose of this web part is to make it easier to understand for new developers building their first SPFx web part, when teaching the SharePoint Framework. The web part is a refactoring of the HelloWorld web part that is created by the **@microsoft/generator-sharepoint** Yeoman generator. The resulting rendered web part should look exactly the same, but the complexity of the code has been significantly reduced, and should be much easier to understand for a newcomer to the framework.
diff --git a/samples/react-functional-stateful-component/.devcontainer/devcontainer.json b/samples/react-functional-stateful-component/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-functional-stateful-component/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-functional-stateful-component/.devcontainer/spfx-startup.sh b/samples/react-functional-stateful-component/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-functional-stateful-component/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-functional-stateful-component/README.md b/samples/react-functional-stateful-component/README.md
index f85e7e441..4ee146cf7 100644
--- a/samples/react-functional-stateful-component/README.md
+++ b/samples/react-functional-stateful-component/README.md
@@ -16,6 +16,7 @@ This web part demonstrates building a React functional component that includes s
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -47,6 +48,8 @@ Version|Date|Comments
* `npm install`
* `gulp serve`
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
The purpose of this web part is to demonstrate building a React functional component that includes state. This is achieved using the recent React Hooks feature. The resulting code is cleaner and easier to follow than using a JavaScript/TypeScript class derived from React.Component. The example web part renders a number to Roman numerals conversion tool, although the functionality is just for the purposes of the demonstration.
diff --git a/samples/react-github-badge/.devcontainer/devcontainer.json b/samples/react-github-badge/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-github-badge/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-github-badge/.devcontainer/spfx-startup.sh b/samples/react-github-badge/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-github-badge/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-github-badge/.gitignore b/samples/react-github-badge/.gitignore
index b19bbe123..a17f3f582 100644
--- a/samples/react-github-badge/.gitignore
+++ b/samples/react-github-badge/.gitignore
@@ -30,3 +30,7 @@ obj
# Styles Generated Code
*.scss.ts
+# .CER Certificates
+*.cer
+# .PEM Certificates
+*.pem
diff --git a/samples/react-github-badge/README.md b/samples/react-github-badge/README.md
index 088ee450e..9df836dc3 100644
--- a/samples/react-github-badge/README.md
+++ b/samples/react-github-badge/README.md
@@ -18,6 +18,7 @@ Displays information about a GitHub user.
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -47,6 +48,8 @@ Version|Date|Comments
- `npm install`
- `gulp serve`
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
This sample illustrates how to convert an existing Javascript-only SPFx web part to a React SPFx web part while keeping the same look and feel. Please refer to the [js-GitHubBadge](https://github.com/pnp/sp-dev-fx-webparts/tree/main/samples/js-gitHubBadge) sample for the original Javascript-only web part.
diff --git a/samples/react-github-badge/package-lock.json b/samples/react-github-badge/package-lock.json
index 1949282b7..53180e8ea 100644
--- a/samples/react-github-badge/package-lock.json
+++ b/samples/react-github-badge/package-lock.json
@@ -8596,7 +8596,8 @@
"ansi-regex": {
"version": "2.1.1",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"aproba": {
"version": "1.2.0",
@@ -8617,12 +8618,14 @@
"balanced-match": {
"version": "1.0.0",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"brace-expansion": {
"version": "1.1.11",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"balanced-match": "^1.0.0",
"concat-map": "0.0.1"
@@ -8637,17 +8640,20 @@
"code-point-at": {
"version": "1.1.0",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"concat-map": {
"version": "0.0.1",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"console-control-strings": {
"version": "1.1.0",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"core-util-is": {
"version": "1.0.2",
@@ -8764,7 +8770,8 @@
"inherits": {
"version": "2.0.3",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"ini": {
"version": "1.3.5",
@@ -8776,6 +8783,7 @@
"version": "1.0.0",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"number-is-nan": "^1.0.0"
}
@@ -8790,6 +8798,7 @@
"version": "3.0.4",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"brace-expansion": "^1.1.7"
}
@@ -8797,12 +8806,14 @@
"minimist": {
"version": "0.0.8",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"minipass": {
"version": "2.3.5",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"safe-buffer": "^5.1.2",
"yallist": "^3.0.0"
@@ -8821,6 +8832,7 @@
"version": "0.5.1",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"minimist": "0.0.8"
}
@@ -8901,7 +8913,8 @@
"number-is-nan": {
"version": "1.0.1",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"object-assign": {
"version": "4.1.1",
@@ -8913,6 +8926,7 @@
"version": "1.4.0",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"wrappy": "1"
}
@@ -8998,7 +9012,8 @@
"safe-buffer": {
"version": "5.1.2",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"safer-buffer": {
"version": "2.1.2",
@@ -9034,6 +9049,7 @@
"version": "1.0.2",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"code-point-at": "^1.0.0",
"is-fullwidth-code-point": "^1.0.0",
@@ -9053,6 +9069,7 @@
"version": "3.0.1",
"bundled": true,
"dev": true,
+ "optional": true,
"requires": {
"ansi-regex": "^2.0.0"
}
@@ -9096,12 +9113,14 @@
"wrappy": {
"version": "1.0.2",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
},
"yallist": {
"version": "3.0.3",
"bundled": true,
- "dev": true
+ "dev": true,
+ "optional": true
}
}
},
diff --git a/samples/react-jest-testing/.devcontainer/devcontainer.json b/samples/react-jest-testing/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-jest-testing/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-jest-testing/.devcontainer/spfx-startup.sh b/samples/react-jest-testing/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-jest-testing/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-jest-testing/README.md b/samples/react-jest-testing/README.md
index e296a7c84..71dd468b0 100644
--- a/samples/react-jest-testing/README.md
+++ b/samples/react-jest-testing/README.md
@@ -70,6 +70,7 @@ The sample uses SPFx web part, but the same setup applies for SPFx extensions an
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -104,6 +105,8 @@ Version|Date|Comments
- `npm i`
- `npm test` **(NOT gulp test)**
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
Note: You might want to switch to a test fake offline provider to use the full functionality of the web part when on local workbench. You can do so by replacing the real pnpjs provider in IceCreamShopWebPart.ts with its fake one at line 37. Just replace IceCreamPnPJsProvider() with IceCreamFakeProvider().
```
iceCreamProvider: new IceCreamPnPJsProvider(sp), //new IceCreamFakeProvider() // replace with Fake provider when offline workbench.
diff --git a/samples/react-mobx-multiple-stores/.devcontainer/devcontainer.json b/samples/react-mobx-multiple-stores/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-mobx-multiple-stores/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-mobx-multiple-stores/.devcontainer/spfx-startup.sh b/samples/react-mobx-multiple-stores/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-mobx-multiple-stores/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-mobx-multiple-stores/README.md b/samples/react-mobx-multiple-stores/README.md
index ab72393d8..224cfcaa3 100644
--- a/samples/react-mobx-multiple-stores/README.md
+++ b/samples/react-mobx-multiple-stores/README.md
@@ -16,6 +16,7 @@ A sample web part that uses the [Mobx](https://mobx.js.org/) library with multip
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Compatible](https://img.shields.io/badge/Local%20Workbench-Compatible-green.svg)
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -38,13 +39,17 @@ Version|Date|Comments
## Minimal Path to Awesome
-```sh
+```
+
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.sh
$ git clone https://github.com/pnp/sp-dev-fx-webparts
$ cd sp-dev-fx-webparts/samples/react-mobx-multiple-stores
$ npm install
$ gulp serve
```
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
* Enforces that the state always needs be updated in **actions**, using the always flag for enforceActions.
diff --git a/samples/react-pnpjs-project-online/.devcontainer/devcontainer.json b/samples/react-pnpjs-project-online/.devcontainer/devcontainer.json
new file mode 100644
index 000000000..003ac4b58
--- /dev/null
+++ b/samples/react-pnpjs-project-online/.devcontainer/devcontainer.json
@@ -0,0 +1,39 @@
+// For more information on how to run this SPFx project in a VS Code Remote Container, please visit https://aka.ms/spfx-devcontainer
+{
+ "name": "SPFx 1.8.2",
+ "image": "docker.io/m365pnp/spfx:1.8.2",
+ // Set *default* container specific settings.json values on container create.
+ "settings": {},
+ // Add the IDs of extensions you want installed when the container is created.
+ "extensions": [
+ "editorconfig.editorconfig",
+ "dbaeumer.vscode-eslint"
+ ],
+ // Use 'forwardPorts' to make a list of ports inside the container available locally.
+ "forwardPorts": [
+ 4321,
+ 35729,
+ 5432
+ ],
+ "portsAttributes": {
+ "4321": {
+ "protocol": "https",
+ "label": "Manifest",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ },
+ "5432": {
+ "protocol": "https",
+ "label": "Workbench",
+ "onAutoForward": "silent"
+ },
+ "35729": {
+ "protocol": "https",
+ "label": "LiveReload",
+ "onAutoForward": "silent",
+ "requireLocalPort": true
+ }
+ },
+ "postCreateCommand": "bash .devcontainer/spfx-startup.sh",
+ "remoteUser": "node"
+}
\ No newline at end of file
diff --git a/samples/react-pnpjs-project-online/.devcontainer/spfx-startup.sh b/samples/react-pnpjs-project-online/.devcontainer/spfx-startup.sh
new file mode 100644
index 000000000..ca531bdf2
--- /dev/null
+++ b/samples/react-pnpjs-project-online/.devcontainer/spfx-startup.sh
@@ -0,0 +1,31 @@
+echo
+echo -e "\e[1;94mInstalling Node dependencies\e[0m"
+npm install
+
+## commands to create dev certificate and copy it to the root folder of the project
+echo
+echo -e "\e[1;94mGenerating dev certificate\e[0m"
+gulp trust-dev-cert
+
+
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.cer
+cp ~/.gcb-serve-data/gcb-serve.cer ./spfx-dev-cert.pem
+
+## add *.cer to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.cer' ./.gitignore
+ then
+ echo "# .CER Certificates" >> .gitignore
+ echo "*.cer" >> .gitignore
+fi
+
+## add *.pem to .gitignore to prevent certificates from being saved in repo
+if ! grep -Fxq '*.pem' ./.gitignore
+ then
+ echo "# .PEM Certificates" >> .gitignore
+ echo "*.pem" >> .gitignore
+fi
+
+echo
+echo -e "\e[1;92mReady!\e[0m"
+
+echo -e "\n\e[1;94m**********\nOptional: if you plan on using gulp serve, don't forget to add the container certificate to your local machine. Please visit https://aka.ms/spfx-devcontainer for more information\n**********"
\ No newline at end of file
diff --git a/samples/react-pnpjs-project-online/README.md b/samples/react-pnpjs-project-online/README.md
index 39c57d52f..8b584bc83 100644
--- a/samples/react-pnpjs-project-online/README.md
+++ b/samples/react-pnpjs-project-online/README.md
@@ -19,6 +19,7 @@ Custom PnPjs module: [pnpjs-project-online-package](https://www.npmjs.com/packag
![Does not work with SharePoint 2016 (Feature Pack 2)](https://img.shields.io/badge/SharePoint%20Server%202016%20(Feature%20Pack%202)-Incompatible-red.svg "SharePoint Server 2016 Feature Pack 2 requires SPFx 1.1")
![Local Workbench Incompatible](https://img.shields.io/badge/Local%20Workbench-Incompatible-red.svg "Needs access to user's context")
![Hosted Workbench Compatible](https://img.shields.io/badge/Hosted%20Workbench-Compatible-green.svg)
+![Compatible with Remote Containers](https://img.shields.io/badge/Remote%20Containers-Compatible-green.svg)
## Applies to
@@ -51,6 +52,8 @@ Custom PnPjs module: [pnpjs-project-online-package](https://www.npmjs.com/packag
- `npm install`
- `gulp serve`
+> This sample can also be opened with [VS Code Remote Development](https://code.visualstudio.com/docs/remote/remote-overview). Visit https://aka.ms/spfx-devcontainer for further instructions.
+
## Features
This Web Part illustrates the following concepts on top of the SharePoint Framework: